Get data sources accessible by a user
curl --request GET \
--url https://wmc.wiremockapi.cloud/v1/users/{userId}/data-sources \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/users/{userId}/data-sources"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/users/{userId}/data-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataSources": [
{
"id": "abc123",
"aclObject": "jkl789",
"name": "My data source",
"lastUpdatedTime": "2024-01-17T11:46:13.481826Z",
"version": 3,
"type": "CSV",
"columnsMetadata": [
{
"name": "fullname",
"type": {
"name": "STRING"
}
},
{
"name": "dob",
"type": {
"name": "DATE",
"format": "iso8601"
}
},
{
"name": "admin",
"type": {
"name": "BOOLEAN"
}
},
{
"name": "retryLimit",
"type": {
"name": "INTEGER"
}
}
],
"state": "ENABLED",
"links": {
"self": "/v1/data-sources/abc123",
"acl": "/v1/data-sources/abc123/acl{?subjectId}"
}
},
{
"id": "def543",
"aclObject": "lkj987",
"name": "My database data source",
"lastUpdatedTime": "2024-01-17T11:46:13.481826Z",
"version": 3,
"type": "DATABASE",
"databaseConnection": "zyx321",
"tableName": "products",
"state": "ENABLED",
"links": {
"self": "/v1/data-sources/def543",
"acl": "/v1/data-sources/def543/acl{?subjectId}"
}
}
],
"links": {
"self": "/v1/users/my-user/data-sources?page=2&limit=20",
"next": "/v1/users/my-user/data-sources?page=3&limit=20",
"previous": "/v1/users/my-user/data-sources?page=1&limit=20"
},
"meta": {
"start": 21,
"end": 40,
"total": 123,
"page": 2,
"totalPages": 7
}
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}{
"code": 404,
"message": "HTTP 404 Not Found"
}{
"code": 123,
"message": "<string>"
}Data sources
Get data sources accessible by a user
GET
/
v1
/
users
/
{userId}
/
data-sources
Get data sources accessible by a user
Path Parameters
Query Parameters
The amount of page items to retrieve.
The index of the page to retrieve.
A filter for the retrieved items. Only items whose name contains the filter value will be retrieved. The filter is case insensitive.
⌘I